<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tool="http://schemas.android.com/tools"
    xmlns:binding="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="click"
            type="com.hongyegroup.cpt_main.ui.SettingsActivity.ClickProxy" />

    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white"
        android:orientation="vertical">

        <com.guadou.lib_baselib.view.titlebar.EasyTitleBar
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:Easy_title="设置"/>

        <!--Enable Notification-->
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/d_15dp"
            android:visibility="gone"
            android:orientation="horizontal">

            <com.guadou.lib_baselib.font_text_view.TextViewMedium
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="开启消息通知"
                android:textColor="@color/black"
                android:textSize="@dimen/d_14sp" />

            <androidx.appcompat.widget.SwitchCompat
                android:id="@+id/switch_notification"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@drawable/selector_switch_bg"
                app:showText="false"
                app:splitTrack="false"
                app:theme="@style/scstyle"
                app:thumbTint="#00000000"
                app:trackTint="#00000000" />

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/d_1dp"
            android:visibility="gone"
            android:background="@color/page_bg" />

        <!--重置密码-->
        <LinearLayout
            android:id="@+id/ll_setting_reset_psd"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            binding:clicks="@{click.resetPassword}"
            android:padding="@dimen/d_15dp">

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="重置密码"
                android:textColor="@color/black"
                android:textSize="@dimen/d_14sp" />

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="@dimen/d_10dp"
                android:layout_marginRight="@dimen/d_10dp"
                android:src="@drawable/iv_back" />

        </LinearLayout>
        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/d_1dp"
            android:background="@color/page_bg" />

        <!--FAQ-->
        <LinearLayout
            android:id="@+id/ll_setting_faq"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:padding="@dimen/d_15dp"
            android:visibility="visible">

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="常用问题"
                android:textColor="@color/black"
                android:textSize="@dimen/d_14sp" />

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="@dimen/d_10dp"
                android:layout_marginRight="@dimen/d_10dp"
                android:src="@drawable/iv_back" />

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/d_1dp"
            android:visibility="visible"
            android:background="@color/page_bg" />

        <!--账户注销-->
        <LinearLayout
            android:id="@+id/ll_clear_cache"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:padding="@dimen/d_15dp">

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="账户注销"
                android:textColor="@color/black"
                android:textSize="@dimen/d_14sp" />

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="@dimen/d_10dp"
                android:layout_marginRight="@dimen/d_10dp"
                android:src="@drawable/iv_back" />


        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/d_1dp"
            android:background="@color/page_bg" />


        <!--Privacy Policy-->
        <LinearLayout
            android:id="@+id/ll_setting_privacy_policy"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:padding="@dimen/d_15dp">

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="隐私条款"
                android:textColor="@color/black"
                android:textSize="@dimen/d_14sp" />

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="@dimen/d_10dp"
                android:layout_marginRight="@dimen/d_10dp"
                android:src="@drawable/iv_back" />

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/d_1dp"
            android:background="@color/page_bg" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:padding="@dimen/d_15dp">

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="版本号"
                android:textColor="@color/black"
                android:textSize="@dimen/d_14sp" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginRight="@dimen/d_2dp"
                android:text="V"
                android:textColor="@color/profile_red"
                android:textSize="@dimen/d_14sp" />

            <TextView
                android:id="@+id/text_view_version_no"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="@dimen/d_10dp"
                android:layout_marginRight="@dimen/d_10dp"
                android:textColor="@color/profile_red"
                android:textSize="@dimen/d_14sp" />

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/d_1dp"
            android:background="@color/page_bg" />


        <TextView
            android:id="@+id/button_logout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/d_30dp"
            android:layout_marginTop="@dimen/d_45dp"
            android:layout_marginRight="@dimen/d_30dp"
            android:background="@drawable/selector_app_blue_button_round2_bg"
            android:gravity="center"
            android:padding="@dimen/d_10dp"
            android:text="退出登录"
            android:textColor="@color/white"
            android:textSize="@dimen/d_16sp" />


    </LinearLayout>

</layout>